<script setup lang="ts">
import { useRouter } from 'vue-router'
import { RouterLink, RouterView } from 'vue-router'

const router = useRouter()

defineOptions({
  name: 'AuthenticatedLayout'
})

function logout() {
  localStorage.removeItem('isLoggedIn')
  router.push({ name: 'landing' })
}
</script>

<template>
  <div class="authenticated-layout">
    <header>
      <nav>
        <!-- <button @click="logout">Logout</button> -->
      </nav>
    </header>
    <main>
      <RouterView></RouterView>
    </main>
  </div>
</template>

<style scoped>
/* Add styles for authenticated layout */
</style>
